
!Number methodsFor: '*complex' stamp: 'KenDickey 8/30/2009 16:24'!
argument
	"Answer my angle in radians"
	(self > 0) ifTrue: [^0].
	(self < 0) ifTrue: [^(Float pi)].
	ArithmeticError signal: 'zero has no angle'
! !

!Number methodsFor: '*complex' stamp: 'KenDickey 8/30/2009 16:41'!
asComplex
	"Answer self with zero imaginary component"
	^Complex real: self imaginary: 0! !

!Number methodsFor: '*complex' stamp: 'KenDickey 8/25/2009 21:11'!
i
	"Answer self as imaginary"
	^Complex real: 0 imaginary: self! !

!Number methodsFor: '*complex' stamp: 'KenDickey 8/25/2009 20:36'!
imag
	"All subclasses of Number are Real numbers with a zero imaginary part"

	^0! !

!Number methodsFor: '*complex' stamp: 'KenDickey 8/25/2009 20:36'!
imaginary
	"All subclasses of Number are Real numbers with a zero imaginary part"

	^0! !

!Number methodsFor: '*complex' stamp: 'KenDickey 8/26/2009 16:27'!
isNumberOrComplex
	^true! !

!Number methodsFor: '*complex' stamp: 'KenDickey 8/30/2009 16:16'!
modulus
	"Answer my magnitude"
	^self abs! !

!Number methodsFor: '*complex' stamp: 'KenDickey 8/25/2009 20:35'!
real
	"All subclasses of Number are Real numbers"

	^self! !

!Number methodsFor: '*complex' stamp: 'KenDickey 8/25/2009 21:09'!
signum
        "PRIVATE For complex number implementation. NB: 0 signum -> 1"

        (self < 0)
                ifTrue: [ ^ -1 ]
                ifFalse: [ ^ 1 ]! !

!Object methodsFor: '*complex' stamp: 'mk 10/27/2003 17:33'!
isComplex
	"Answer true if receiver is a Complex number. False by default."

	^ false
! !

!Object methodsFor: '*complex' stamp: 'KenDickey 8/26/2009 16:28'!
isNumberOrComplex
	^false! !
